StovePCMatchmaking(Native dll): StovePCMatchmakingCallback Struct Reference

StovePCMatchmaking(Native dll) 1.0.4.1

- Main Page
- Modules
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
StovePCMatchmakingCallback Struct Reference
Matchmaking Callback

API 호출시 응답받는 콜백을 설정하는 구조체입니다. More...

`#include <StovePCMatchmakingCallback.h>`

## Public Attributes

void(* | OnConnect )(const StovePCMatchmakingError error)
| StovePCMatchmaking_Connect 호출시 응답받는 콜백 함수 포인터
void(* | OnDisconnect )(const StovePCMatchmakingError error, const StovePCMatchmakingDisconnectCode code)
| StovePCMatchmaking_Disconnect 호출하거나 채팅 서버에서 접속 종료시 응답받는 콜백 함수 포인터
void(* | OnCreateLobby )(const StovePCMatchmakingError error, const StovePCMatchmakingCreateLobby createLobby)
| StovePCMatchmaking_CreateLobby 호출시 응답받는 콜백 함수 포인터
void(* | OnDestroyLobby )(const StovePCMatchmakingError error, const StovePCMatchmakingDestroyLobby destroyLobby)
| StovePCMatchmaking_DestroyLobby 호출시 응답받는 콜백 함수 포인터
void(* | OnJoinLobby )(const StovePCMatchmakingError error, const StovePCMatchmakingJoinLobby joinLobby)
| StovePCMatchmaking_JoinLobby 호출시 응답받는 콜백 함수 포인터
void(* | OnUserJoin )(const StovePCMatchmakingError error, const StovePCMatchmakingUserJoin userJoin)
| 다른 유저가 로비에 입장시 응답받는 콜백 함수 포인터
void(* | OnUpdateLobbyUser )(const StovePCMatchmakingError error, const StovePCMatchmakingUpdateLobbyUser updateLobbyUser)
| 로비에 유저 정보가 업데이트시 응답받는 콜백 함수 포인터
void(* | OnUpdateLobbyData )(const StovePCMatchmakingError error, const StovePCMatchmakingUpdateLobbyData updateLobbyData)
| 로비 메타 데이터 업데이트시 응답받는 콜백 함수 포인터
void(* | OnLeaveLobby )(const StovePCMatchmakingError error, const StovePCMatchmakingLeaveLobby leaveLobby)
| StovePCMatchmaking_LeaveLobby 호출시 응답받는 콜백 함수 포인터
void(* | OnUserLeave )(const StovePCMatchmakingError error, const StovePCMatchmakingUserLeave userLeave)
| 로비에서 다른 유저가 퇴장시 응답받는 콜백 함수 포인터
void(* | OnSendLobbyMessage )(const StovePCMatchmakingError error, const StovePCMatchmakingSendLobbyMessage channelMessage)
| StovePCMatchmaking_SendLobbyMsg 호출시 응답받는 콜백 함수 포인터
void(* | OnRecvLobbyMessage )(const StovePCMatchmakingError error, const StovePCMatchmakingRecvLobbyMessage channelMessage)
| 다른 유저가 StovePCMatchmaking_SendLobbyMsg로 로비에 채팅 메시지를 보낼 시 응답받는 콜백 함수 포인터
void(* | OnSendLobbyBinarydata )(const StovePCMatchmakingError error, const StovePCMatchmakingSendLobbyBinarydata channelMessage)
| StovePCMatchmaking_SendLobbyBinarydata 호출시 응답받는 콜백 함수 포인터
void(* | OnRecvLobbyBinarydata )(const StovePCMatchmakingError error, const StovePCMatchmakingRecvLobbyBinarydata channelMessage)
| 다른 유저가 StovePCMatchmaking_SendLobbyBinarydata로 로비에 데이터 보낼 시 응답받는 콜백 함수 포인터
void(* | OnSendLobbyInvitation )(const StovePCMatchmakingError error, const StovePCMatchmakingSendLobbyInvitation channelInvitation)
| StovePCMatchmaking_SendLobbyInvitation 호출시 응답받는 콜백 함수 포인터
void(* | OnRecvLobbyInvitation )(const StovePCMatchmakingError error, const StovePCMatchmakingRecvLobbyInvitation channelInvitation)
| 다른 유저가 나에게 StovePCMatchmaking_SendLobbyInvitation로 로비에 초대할 시 응답받는 콜백 함수 포인터
void(* | OnSendRejectLobbyInvitation )(const StovePCMatchmakingError error, const StovePCMatchmakingSendRejectLobbyInvitation rejectLobbyInvitation)
| StovePCMatchmaking_SendRejectLobbyInvitation 호출시 응답받는 콜백 함수 포인터
void(* | OnRecvRejectLobbyInvitation )(const StovePCMatchmakingError error, const StovePCMatchmakingRecvRejectLobbyInvitation rejectLobbyInvitation)
| 다른 유저가 나에게 StovePCMatchmaking_SendRejectLobbyInvitation로 로비 초대에 거절할 시 응답받는 콜백 함수 포인터
void(* | OnRequestLobbyList )(const StovePCMatchmakingError error, const StovePCMatchmakingRequestLobbyList requestLobbyList)
| StovePCMatchmaking_RequestLobbyList 호출시 응답받는 콜백 함수 포인터
void(* | OnGetLobbyUserList )(const StovePCMatchmakingError error, const StovePCMatchmakingGetLobbyUserList userList)
| StovePCMatchmaking_GetLobbyUserList 호출시 응답받는 콜백 함수 포인터
void(* | OnGetBanUserList )(const StovePCMatchmakingError error, const StovePCMatchmakingGetBanUserList userList)
| StovePCMatchmaking_GetBanUserList 호출시 응답받는 콜백 함수 포인터
void(* | OnGetMyLobbyList )(const StovePCMatchmakingError error, const StovePCMatchmakingGetMyLobbyList channelList)
| StovePCMatchmaking_GetMyLobbyList 호출시 응답받는 콜백 함수 포인터
void(* | OnKickUser )(const StovePCMatchmakingError error, const StovePCMatchmakingKickUser kickUser)
| StovePCMatchmaking_KickUser 호출시 응답받는 콜백 함수 포인터
void(* | OnBanUser )(const StovePCMatchmakingError error, const StovePCMatchmakingBanUser banUser)
| StovePCMatchmaking_BanUser 호출시 응답받는 콜백 함수 포인터
void(* | OnUnBanUser )(const StovePCMatchmakingError error, const StovePCMatchmakingUnBanUser unBanUser)
| StovePCMatchmaking_UnBanUser 호출시 응답받는 콜백 함수 포인터
void(* | OnSetLobbyOwner )(const StovePCMatchmakingError error, const StovePCMatchmakingSetLobbyOwner setLobbyOwner)
| StovePCMatchmaking_SetLobbyOwner 호출시 응답받는 콜백 함수 포인터
void(* | OnSetLobbyData )(const StovePCMatchmakingError error, const StovePCMatchmakingSetLobbyData setLobbyData)
| StovePCMatchmaking_SetLobbyData 호출시 응답받는 콜백 함수 포인터
void(* | OnGetLobbyData )(const StovePCMatchmakingError error, const StovePCMatchmakingGetLobbyData getLobbyData)
| StovePCMatchmaking_GetLobbyData 호출시 응답받는 콜백 함수 포인터
void(* | OnSetLobbyUserdata )(const StovePCMatchmakingError error, const StovePCMatchmakingSetLobbyUserdata setLobbyUserdata)
| StovePCMatchmaking_SetLobbyUserdata 호출시 응답받는 콜백 함수 포인터
void(* | OnStartGame )(const StovePCMatchmakingError error, const StovePCMatchmakingStartGame startGame)
| StovePCMatchmaking_StartGame 호출시 응답받는 콜백 함수 포인터
void(* | OnEndGame )(const StovePCMatchmakingError error, const StovePCMatchmakingEndGame endGame)
| StovePCMatchmaking_EndGame 호출시 응답받는 콜백 함수 포인터
void(* | OnGetMyFriendList )(const StovePCMatchmakingError error, const StovePCMatchmakingGetMyFriendList myfriends)
| StovePCMatchmaking_GetMyFriendList 호출시 응답받는 콜백 함수 포인터
void(* | OnUserStatusChanged )(const StovePCMatchmakingError error, const StovePCMatchmakingUserStatusChanged status)
| 유저 프리젠스 변경시 응답받는 콜백 함수 포인터

## Detailed Description

API 호출시 응답받는 콜백을 설정하는 구조체입니다.

Examples:
  stove_pc_matchmaking_sample.cpp.

The documentation for this struct was generated from the following file:

- D:/workspace/messenger/matchmaking_xmpp/stove_pc_matchmaking/include/StovePCMatchmakingCallback.h